function ph = plot_stage_grid(grid, axish)


if nargin<3
    i = 1;
end
if nargin<2
    axish = gca;
    
end
gridcol = [1 1 0];
gridwidth = 2;


T  = grid.tri_info.T;
pts = grid.tri_info.pts;

 regions_ind = grid.region_tri_ind;
density = grid.density.prev;

ph = triplot(T, pts(:,1), pts(:,2), 'Parent', axish);
plot_region_patches(regions_ind, T, pts, {}, axish);
plot_region_density(regions_ind, T, pts, density, axish);
axis(axish, 'image', 'ij');



return
